package com.steerinfo.baseinfo.meterbasetermtaretime.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

public class MeterBaseTermTareTime implements IBasePO<String> {
    /**
     * 配置编号(TIME_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="配置编号",required=true)
    private String timeNo;

    /**
     * 配置方式编号(TIME_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="配置方式编号",required=true)
    private String timeTypeNo;

    /**
     * 配置方式名称(TIME_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="配置方式名称",required=true)
    private String timeTypeName;

    /**
     * 配置版本(TIME_EDITION,DECIMAL,5)
     */
    @ApiModelProperty(value="配置版本",required=true)
    private BigDecimal timeEdition;

    /**
     * 随机值(RATE_VALUE,DECIMAL,2)
     */
    @ApiModelProperty(value="随机值",required=false)
    private Short rateValue;

    /**
     * 固定值(FIXED_VALUE,DECIMAL,2)
     */
    @ApiModelProperty(value="固定值",required=false)
    private Short fixedValue;

    /**
     * 提醒间隔(WARN_VALUE,DECIMAL,2)
     */
    @ApiModelProperty(value="提醒间隔",required=true)
    private Short warnValue;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.timeNo;
    }

    @Override
    public void setId(String timeNo) {
        this.timeNo = timeNo == null ? null : timeNo.trim();
    }

    public String getTimeNo() {
        return timeNo;
    }

    public void setTimeNo(String timeNo) {
        this.timeNo = timeNo == null ? null : timeNo.trim();
    }

    public String getTimeTypeNo() {
        return timeTypeNo;
    }

    public void setTimeTypeNo(String timeTypeNo) {
        this.timeTypeNo = timeTypeNo == null ? null : timeTypeNo.trim();
    }

    public String getTimeTypeName() {
        return timeTypeName;
    }

    public void setTimeTypeName(String timeTypeName) {
        this.timeTypeName = timeTypeName == null ? null : timeTypeName.trim();
    }

    public BigDecimal getTimeEdition() {

        return timeEdition;
    }

    public void setTimeEdition(BigDecimal timeEdition) {

        this.timeEdition = timeEdition;
    }

    public Short getRateValue() {
        return rateValue;
    }

    public void setRateValue(Short rateValue) {
        this.rateValue = rateValue;
    }

    public Short getFixedValue() {
        return fixedValue;
    }

    public void setFixedValue(Short fixedValue) {
        this.fixedValue = fixedValue;
    }

    public Short getWarnValue() {
        return warnValue;
    }

    public void setWarnValue(Short warnValue) {
        this.warnValue = warnValue;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", timeNo=").append(timeNo);
        sb.append(", timeTypeNo=").append(timeTypeNo);
        sb.append(", timeTypeName=").append(timeTypeName);
        sb.append(", timeEdition=").append(timeEdition);
        sb.append(", rateValue=").append(rateValue);
        sb.append(", fixedValue=").append(fixedValue);
        sb.append(", warnValue=").append(warnValue);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}